amsn 0.97: login doesn't work anymore due to a protocol change

Bug #243722 reported by Fabio Colombo on 2008-06-28
82
This bug affects 2 people
Affects Status Importance Assigned to Milestone
aMSN
Invalid
Undecided
Unassigned
amsn (Ubuntu)
Medium
Adrien Cunin
Dapper
Medium
Adrien Cunin
Feisty
Medium
Adrien Cunin
Gutsy
Medium
Adrien Cunin
Hardy
Medium
Adrien Cunin

Bug Description

Associated Forum Thread (to use unless you're positively sure you can add info to the problem: rule of thumb: first there, then here): http://ubuntuforums.org/showthread.php?t=880424

Binary package hint: amsn

Amsn 0.97 doesn't work testing intrepid 64-bit.
There is no way to connect to it.
Using pidgin and others they works, so that I think that server works correctly and is a problem only of the program itself.
Bye and thanks..

Fabio

-- Original report above.

== SRU ==
Microsoft changed the msn protocol so that amsn 0.97 is no longer able to login. This is fixed in >= 0.97.1. intrepid has 0.97.2.
At the beginning only a few servers were affected, now it seems a lot of users are encountering this bug.
Patch: http://amsn.svn.sourceforge.net/viewvc/amsn/branches/0_97/amsn/protocol.tcl?r1=10215&r2=10261&view=patch
TEST CASE:
  * Launchpad aMSN
  * Try to connect
  * See that is keeps trying to log in "Logging in..." - this is the bug. Without the bug, it successfully logs in and then shows your buddy list.

description: updated
beosanfior (beposanfior) wrote :

I have the same problem (from last week), my account work with emesene or pidgin, but not with amsn 0.97.

Thaks to all

Changed in amsn:
status: New → Confirmed
Adrien Cunin (adri2000) wrote :

Is any of you still able to reproduce this bug using 0.97?

now trying to use 0.97 i got this message.. it said me that my system lacked of TLS.
but trying to install it doesn't seems to work..

I give the attachment.

vivia (vivia) wrote :

@Fabio Colombo:
First, make sure you installed aMSN 0.97 from the Ubuntu repositories.
Second, sudo apt-get install tcltls
If it still doesn't work, you will need to file a new bug report, as this is a completely separate issue.

@vivia: installing tls modules and tls and tcltls packages it doesn't work.
So I've done a new bug report.

that's it: https://bugs.launchpad.net/bugs/249534

bye everybody

Amon Frazier (moroki-att) wrote :
Download full text (7.1 KiB)

I was asked on aMSN to post my log.txt file, associated with this problems.

[16:58:13] ::Proxy::ProxyDirect1
[16:58:13] < Connected to: 207.46.108.48 1863 >
[16:58:13] ->ns-sock8 VER 1 MSNP12 CVR0

[16:58:13] ->ns-sock8 CVR 2 0x0409 winnt 5.1 i386 MSNMSGR 8.0.0812 msmsgs <email address hidden>

[16:58:13] ->ns-sock8 USR 3 TWN I <xxxx>@hotmail.com

[16:58:13] <-ns-sock8 VER 1 MSNP12
[16:58:13] <-ns-sock8 CVR 2 8.1.0178 8.1.0178 8.1.0178 http://msgruser.dlservice.microsoft.com/download/5/6/4/5646481F-33EF-4B08-AF00-4904F7677B89/EN/Install_WLMessenger.exe http://get.live.com
[16:58:13] <-ns-sock8 USR 3 TWN S ct=1217887093,rver=5.5.4177.0,wp=FS_40SEC_0_COMPACT,lc=1033,id=507,ru=http:%2F%2Fmessenger.msn.com,tw=0,kpp=1,kv=4,ver=2.1.6000.1,rn=1lgjBfIL,tpf=b0735e3a873dfb5e75054465196398e0
[16:59:15] ->ns FAILED: OUT

[16:59:21] ::Proxy::ProxyDirect3
[16:59:21] < Connected to: messenger.hotmail.com 1863 >
[16:59:21] ->ns-sock8 VER 4 MSNP12 CVR0

[16:59:21] ->ns-sock8 CVR 5 0x0409 winnt 5.1 i386 MSNMSGR 8.0.0812 msmsgs <email address hidden>

[16:59:21] ->ns-sock8 USR 6 TWN I <email address hidden>

[16:59:21] <-ns-sock8 VER 4 MSNP12
[16:59:21] <-ns-sock8 CVR 5 8.1.0178 8.1.0178 8.1.0178 http://msgruser.dlservice.microsoft.com/download/5/6/4/5646481F-33EF-4B08-AF00-4904F7677B89/EN/Install_WLMessenger.exe http://get.live.com
[16:59:21] <-ns-sock8 XFR 6 NS 207.46.107.23:1863 0 65.54.239.211:1863
[16:59:21] < Connected to: 207.46.107.23 1863 >
[16:59:21] ->ns-sock8 VER 7 MSNP12 CVR0

[16:59:21] ->ns-sock8 CVR 8 0x0409 winnt 5.1 i386 MSNMSGR 8.0.0812 msmsgs <email address hidden>

[16:59:21] ->ns-sock8 USR 9 TWN I <xxxx>@hotmail.com

[16:59:21] <-ns-sock8 VER 7 MSNP12
[16:59:21] <-ns-sock8 CVR 8 8.1.0178 8.1.0178 8.1.0178 http://msgruser.dlservice.microsoft.com/download/5/6/4/5646481F-33EF-4B08-AF00-4904F7677B89/EN/Install_WLMessenger.exe http://get.live.com
[16:59:21] <-ns-sock8 USR 9 TWN S ct=1217887161,rver=5.5.4177.0,wp=FS_40SEC_0_COMPACT,lc=1033,id=507,ru=http:%2F%2Fmessenger.msn.com,tw=0,kpp=1,kv=4,ver=2.1.6000.1,rn=1lgjBfIL,tpf=b0735e3a873dfb5e75054465196398e0
[17:00:27] ->ns FAILED: OUT

[17:00:32] ::Proxy::ProxyDirect5
[17:00:35] < Connected to: messenger.hotmail.com 1863 >
[17:00:35] ->ns-sock8 VER 10 MSNP12 CVR0

[17:00:35] ->ns-sock8 CVR 11 0x0409 winnt 5.1 i386 MSNMSGR 8.0.0812 msmsgs <email address hidden>

[17:00:35] ->ns-sock8 USR 12 TWN I <xxxx>@hotmail.com

[17:00:35] <-ns-sock8 VER 10 MSNP12
[17:00:35] <-ns-sock8 CVR 11 8.1.0178 8.1.0178 8.1.0178 http://msgruser.dlservice.microsoft.com/download/5/6/4/5646481F-33EF-4B08-AF00-4904F7677B89/EN/Install_WLMessenger.exe http://get.live.com
[17:00:37] <-ns-sock8 XFR 12 NS 207.46.109.110:1863 0 65.54.239.21:1863
[17:00:37] < Connected to: 207.46.109.110 1863 >
[17:00:37] ->ns-sock8 VER 13 MSNP12 CVR0

[17:00:37] ->ns-sock8 CVR 14 0x0409 winnt 5.1 i386 MSNMSGR 8.0.0812 msmsgs <email address hidden>

[17:00:37] ->ns-sock8 USR 15 TWN I <xxxx>@hotmail.com

[17:00:37] <-ns-sock8 VER 13 MSNP12
[17:00:37] <-ns-sock8 CVR 14 8.1.0178 8.1.0178 8.1.0178 http://msgruser.dlservice.microsoft.com/download/5/6/4/5646481F-33EF-4B08-AF00-4904F7677B89/EN/Install_WLMessenger.exe http://get.live.com
[17:00:37] <-ns-s...

Read more...

Adrien Cunin (adri2000) on 2008-08-05
Changed in amsn:
assignee: nobody → adri2000
Adrien Cunin (adri2000) on 2008-08-05
Changed in amsn:
importance: Undecided → Medium
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amsn - 0.97.2~debian-0ubuntu1

---------------
amsn (0.97.2~debian-0ubuntu1) intrepid; urgency=low

  [ Adrien Cunin ]

  * New upstream release
  * Repacked tarball to .tar.gz and according to debian/README.Debian-source
  * Keep the ~debian versioning scheme
  * debian/patches/05_changing_sxml.dpatch: dropped, it's upstream
  * debian/control: changed sox suggests to alsa-utils as we are now using
    aplay (see below)

  [ Devid Filoni ]

  * Merge from Debian unstable (LP: #249965). Remaining Ubuntu changes:
    - add 04_use_xdg-open.dpatch patch to use xdg-open as file manager
    - add 05-disable_newVersionCheck.dpatch patch
    + debian/control:
      - modify iceweasel to firefox in amsn Suggests field
      - add xdg-utils to amsn Depends field
    - don't merge 06-fix_makefile.dpatch patch because the debian package add
      the commands in the debian/rules clean target
    - dont' merge 07-fix_kde4_tray_icon.dpatch patch, merged upstream
    - don't merge debian/amsn.desktop removal to reduce delta
  * Add 08_use_aplay_for_sound.dpatch patch by Festor Wailon Dacoba to use
    aplay to play sounds (LP: #99605).
  * The new upstream version fixes LP: #243722 (login doesn't work).

amsn (0.97.1~debian-1) unstable; urgency=low

  * New upstream release. (Closes: #488850)
  * Bump Standards-Version to 3.8.0
  * The circular dependency has been erased in this revision of aMSN.
    amsn-data does not depend on amsn anymore. (Closes: #478692)
  * The problem caused by a missing Replaces in amsn-data package has
    been fixed in this new revision. (Closes: #484302)
  * aMSN depends on tcl-tls instead of tcltls. (Closes: #484206, #490762)

amsn (0.97-3) unstable; urgency=low

  * Bug: 'amsn: replace/conflict' has been fixed in this revision.
  (Closes: #476666)
  * Added a new preinst script to remove unneeded files from amsn-data
    package.

amsn (0.97-2) unstable; urgency=low

  * Bug: 'Please disable new version notification' has been fixed in this new
    revision of aMSN (Closes: #272741). Thanks to Marco Rodrigues for
    providing a patch.
  * Data files have been moved to a new amsn-data package.
  * debian/rules: dh_desktop was added. (Closes: #461800).
  * Desktop file has been improved to follow new standars.
  * A manpage for amsn-remote has been done.
  * Added preinst script to remove unneeded files from amsn package that has
    been moved to amsn-data.

 -- Adrien Cunin <email address hidden> Tue, 05 Aug 2008 17:10:29 +0200

Changed in amsn:
status: In Progress → Fix Released
Adrien Cunin (adri2000) on 2008-08-05
description: updated
Changed in amsn:
assignee: nobody → adri2000
importance: Undecided → Medium
status: New → Confirmed
Adrien Cunin (adri2000) on 2008-08-05
description: updated
Changed in amsn:
status: Confirmed → In Progress
Adrien Cunin (adri2000) wrote :

Attached is what I've just uploaded to hardy-proposed.

Adrien Cunin (adri2000) wrote :

Is there anyone using a supported stable release other than hardy and experiencing this bug?

Luca Falavigna (dktrkranz) wrote :

ACK from motu-sru.

Changed in amsn:
status: In Progress → Confirmed
Stephen Cradock (s-cradock) wrote :

I have to disagree that this is fixed in Intrepid. I'm using Intrepid up-to-date 08/05/2008, and get the same error.

My amsn package is reported as 0.97+final-0ubuntu6.

If that is the same as 0.97.2 then 0.97.2 does NOT fix the problem, at least for me.

Stephen Cradock (s-cradock) wrote :

Ah - Intrepid just offered to upgrade amsn to 0.97.2 - but can't do it because it needs amsn-data, which is not available....

Steve Langasek (vorlon) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in amsn:
status: Confirmed → Fix Committed
Adrien Cunin (adri2000) wrote :

Stephen: indeed, amsn-data is waiting in a queue (binary new) right now. An archive admin will have to accept it.

Stephen Cradock (s-cradock) wrote :

Thanks - I'll wait patiently!

On a positive note, the update for Hardy just arrived and works fine.

Thanks, everyone for the fast and effective work.

Sohail Mirza (mirzmaster) wrote :

Is there any chance that the fix for this issue will be backported to gutsy?

Thanks!

John B. (jbuncher) wrote :

@Adrien above: I am using amsn 0.97 (0.97+final-0ubuntu1~gutsy1) and recently started encountering this error on Gutsy.

adrenaline (azexptech) wrote :

Ok here is how mine got fixed

To enable the proposed archive for hardy add the following line to /etc/apt/sources.list:

deb http://archive.ubuntu.com/ubuntu/ hardy-proposed restricted main multiverse universe

or go to System -> Administration -> Software sources and tick the hardy-proposed box under the updates tab.

close amsn window

Now open a shell and type sudo apt-get update

Now type sudo apt-get install amsn

now open amsn. If it works then go back to the the start and un-tick the Hardy-Proposed box
now in that same shell type sudo apt-get update to get back where you were.

If it works for you please keep updating this thread

By the way I am running Ubuntu Hardy.

Thanks to Adri2000

Olcay Ozturkmen (o-ozturkmen) wrote :

I installed amsn from proposed updates and now i can login to my msn account succesfully.

Adrien Cunin (adri2000) wrote :

John: you are using a gutsy-backports version. That is not supported, so you'll have to go back to 0.97RC1+dfsg-0ubuntu1 (or backport yourself the fixed hardy version).
I am going to upload a 0.97RC1+dfsg-0ubuntu1.1 fixed package to gutsy-proposed soon.

Changed in amsn:
assignee: nobody → adri2000
importance: Undecided → Medium
status: New → In Progress
julio011188 (julio011188) wrote :

to: adrenaline

thanks my dear partner jejeje..... when I read your post I did undestand that you're so clever & How i can explain it....

thanks, thanks, thanks for your information...

I can already login in my count with aMSN.

my e-mail <email address hidden> member free society's programmers.... thaks

Adrien Cunin (adri2000) wrote :

Uploaded to gutsy-proposed.

Martin Pitt (pitti) wrote :

Accepted gutsy-proposed update, please test this as well.

Changed in amsn:
status: In Progress → Fix Committed
Stephen Cradock (s-cradock) wrote :

bump from Intrepid - still apparently waiting for amsn-data.....

Adrien Cunin (adri2000) wrote :

Stephen: It is now accepted, so it should be available in the archive very soon. Thanks go to pitti :)

Adrien Cunin (adri2000) wrote :

No luck with dapper. First the patch didn't apply correctly, and then it doesn't fix the bug it seems. So I'm closing as won't fix. If someone has a fixed package for dapper that works though, feel free to propose a debdiff.

Changed in amsn:
assignee: nobody → adri2000
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → adri2000
importance: Undecided → Medium
status: New → Won't Fix

Which aMSN version is Dapper using? It might be a version running
MSNP9 instead of MSNP12, so you would normally have to change it in
the patch - after it is applied.

I am on holidays right now and this PC is not mine, so the number of
things I can install is very limited. However, I can probably tell
the problem if you give me the part of protocol.tcl that got patched,
and a dump of the status log (available through Ctrl+S from aMSN's
main window) and of the protocol log (Ctrl+D).

Vivia

On Wed, Aug 6, 2008 at 8:20 PM, Adrien Cunin <email address hidden> wrote:
> No luck with dapper. First the patch didn't apply correctly, and then it
> doesn't fix the bug it seems. So I'm closing as won't fix. If someone
> has a fixed package for dapper that works though, feel free to propose a
> debdiff.
>
> ** Changed in: amsn (Ubuntu Feisty)
> Importance: Undecided => Medium
> Assignee: (unassigned) => Adrien Cunin (adri2000)
> Status: New => In Progress
>
> ** Changed in: amsn (Ubuntu Dapper)
> Importance: Undecided => Medium
> Assignee: (unassigned) => Adrien Cunin (adri2000)
> Status: New => Won't Fix
>
> --
> amsn 0.97: login doesn't work anymore due to a protocol change
> https://bugs.launchpad.net/bugs/243722
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>

Adrien Cunin (adri2000) wrote :

Uploaded to feisty-proposed.

Adrien Cunin (adri2000) wrote :

vivia: dapper has amsn 0.95. Attached is the debdiff I tested.

vivia (vivia) wrote :

I cannot create a new diff, but I am 99% sure I found the mistake.

Instead of this part:

+ if { [::config::getKey protocol] == 16 } {
+ set ver "MSNP16"
+ } elseif { [::config::getKey protocol] == 15 } {
+ set ver "MSNP15"
+ } else {
+ set ver "MSNP12"
+ }

use this one:

+ set ver "MSNP9"

aMSN 0.95 only supports MSNP9.

On Wed, Aug 6, 2008 at 9:40 PM, Adrien Cunin <email address hidden> wrote:
> vivia: dapper has amsn 0.95. Attached is the debdiff I tested.
>
> ** Attachment added: "dapper debdiff which doesn't work"
> http://launchpadlibrarian.net/16595964/amsn_0.95-1ubuntu0.1.debdiff
>
> --
> amsn 0.97: login doesn't work anymore due to a protocol change
> https://bugs.launchpad.net/bugs/243722
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>

description: updated
Adrien Cunin (adri2000) wrote :

Thanks vivia. Another aMSN developer in #amsn told me that 0.95 also has MSNP11 but disabled by default, so I kept both MSNP9 and MSNP11, and it works! :)
I've just uploaded the corrected debdiff to dapper-proposed.

Changed in amsn:
status: Won't Fix → In Progress
Luca Falavigna (dktrkranz) wrote :

Fine for me both uploads to feisty-proposed and dapper-proposed.

Kim Alvefur (zash) wrote :

PyMSNt has also stopped working, it could be the same issue?

Martin Pitt (pitti) wrote :

Accepted into dapper-proposed.

Changed in amsn:
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into feisty-proposed.

Changed in amsn:
status: In Progress → Fix Committed
Claude (claudcor56) wrote :

To: Adrenaline,

Thanks a lot for your instruction on debugging amsn.
I followed you guide, on hardy-proposed updates and now I can launch amsn.
I use hardy 64 bit.

Marc Gariépy (mgariepy) wrote :

I tried the update tonight, it connect well but I got another issue when I have new mail i click on the link but it won't log in hotmail website. somebody else got that issue ? beside that it work fine :)

Stephen Cradock (s-cradock) wrote :

Yes, Marc - I get the same issue. aMSN opens the hotmail login dialog instead of going through.

I suspect that MS has changed that protocol too, as my wife reports similar behavior using Windows Vista.

Felipe Figueiredo (philsf) wrote :

The hardy-proposed version (0.97+final-0ubuntu5.1) works for me as expected. Thanks for the quick fix.

Stephen Cradock (s-cradock) wrote :

Ooops - can we have a fixed version for Ubuntu Studio as well? Pretty please..... The Ubuntu Studio repo still offers 0.97+final-0ubuntu5 as the latest version, and it doesn't work......

Thanks in advance!

Adrien Cunin (adri2000) wrote :

Stephen: Ubuntu Studio uses the same archive as Ubuntu, so it is fixed there as well. Are you sure you have -proposed enabled?

Stephen Cradock (s-cradock) wrote :

Ah - yes, you're right. I had forgotten that the update was only in -proposed. Ubuntu Studio now works fine.

Isn't it time to move it into main? There seems little point in having a broken version there for conservative types who prefer well-tested installs to the bleeding edge....

Carl_Barks (carl-barks) wrote :

Works fine on feisty

Martin Pitt (pitti) wrote :

Hardy and Feisty updates got successful feedback, moved those to -updates.

Changed in amsn:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
John B. (jbuncher) wrote :

The package in gutsy-proposed works.

afby (afby) wrote :

The package in dapper-proposed works.

Good job Adri2000 ;)

Colin Watson (cjwatson) wrote :

Copied dapper and gutsy packages to -updates following successful feedback.

Changed in amsn:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
ZenecadE (eye-is-are) wrote :

Still no luck with Intrepid. I have removed amsn and amsndata from system using synaptic and re-installed from command line but still not connecting. One could assume company firewall but pidgin works fine. Different port mebe? Grrr it's sad being stupid.

Patola (patola) wrote :

Not working for me too, either using HTTP method or otherwise. No firewall, no known problems on my connection; pidgin, kopete and emesene work fine.

Patola (patola) wrote :

Sorry, forgot to say, Ubuntu Jaunty 32-bit with all updates, amsn 0.97.2.

Changed in amsn (Ubuntu):
status: Fix Released → Confirmed
Patola (patola) wrote :

It works now. Thank you very much!

ii amsn 0.98.1~debian-0ubuntu1 An MSN messenger written in Tcl

Changed in amsn (Ubuntu):
status: Confirmed → Fix Released
Mitch Towner (kermiac) wrote :

I am invalidating this task as this bug was marked "fixed released" & this task was assigned to a hotmail account instead of the upstream sourceforge bug tracker.

Changed in amsn:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

  • auto-isaac-saittuq Edit

Bug watches keep track of this bug in other bug trackers.